> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minting assets

> Returns minting assets and any relevant context



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/minting/assets
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/minting/assets:
    get:
      tags:
        - Minting
      summary: Get minting assets
      description: Returns minting assets and any relevant context
      parameters:
        - name: websiteId
          in: query
          description: Website ID
          required: true
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 00000000-0000-0000-0000-000000000000
        - name: organizationId
          in: query
          description: Organization ID
          required: true
          schema:
            type: string
            format: uuid
            title: Organization ID
            example: 00000000-0000-0000-0000-000000000000
        - name: mintingContractAssetId
          in: query
          description: Minting Contract Asset ID
          schema:
            type: string
            nullable: true
            title: Minting Contract Asset ID
            example: 00000000-0000-0000-0000-000000000000
        - name: mintingContractIds
          in: query
          description: Comma-separated list of Minting Contract UUIDs
          schema:
            type: string
            nullable: true
            title: Minting Contract IDs
            example: >-
              123e4567-e89b-12d3-a456-426614174000,987fcdeb-51a2-43d7-9876-543210987654
        - name: tokenId
          in: query
          description: Token ID
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: integer
                  minimum: 0
            nullable: true
            title: Token ID
            example: '0'
        - name: network
          in: query
          description: Network
          schema:
            type: string
            enum:
              - abstract
              - abstractTestnet
              - apechain
              - arbitrum
              - avalanche
              - avalancheFuji
              - base
              - baseSepolia
              - berachain
              - berachainArtio
              - berachainBepolia
              - binance
              - bscTestnet
              - campTestnet
              - fantom
              - fantomTestnet
              - flowMainnet
              - mainnet
              - nexus
              - nexusTestnet
              - optimism
              - polygon
              - polygon_mumbai
              - skaleNebula
              - skaleEuropa
              - skaleCalypso
              - solana
              - sophon
              - sophonTestnet
              - sui
              - superseed
              - superseedSepolia
              - vanar
              - xai
              - zksync
              - coti
              - cotiTestnet
              - dogeosTestnet
              - morph
              - morphTestnet
              - morphHolesky
              - ultra
              - ultraTestnet
              - nitrograph
              - sepolia
              - optimism_sepolia
              - arbitrumSepolia
              - goerli
              - optimism_goerli
              - arbitrumGoerli
              - basecamp
              - somnia
              - zkverify
              - polkadot
              - kusama
              - horizen
              - horizenTestnet
              - flow_cadence
            title: Network
            example: ethereum
        - name: contractAddress
          in: query
          description: Contract Address
          schema:
            type: string
            title: Contract Address
            example: '0x1234567890123456789012345678901234567890'
        - name: includeMetadata
          in: query
          description: Whether to include metadata in the response
          schema:
            type: boolean
            title: Include Metadata
            example: true
        - name: includeDeleted
          in: query
          description: Whether to include deleted assets in the response
          schema:
            default: false
            type: boolean
            title: Include Deleted
            example: false
        - name: walletAddress
          in: query
          description: Wallet Address
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
                minItems: 1
            title: Wallet Address
            example: '0x1234567890123456789012345678901234567890'
        - name: status
          in: query
          description: Status
          schema:
            type: string
            enum:
              - active
              - past
            nullable: true
            title: Status
            example: active
        - name: currencyType
          in: query
          description: Currency Type
          schema:
            type: string
            enum:
              - loyalty
              - native
            nullable: true
            title: Currency Type
            example: loyalty
        - name: sortBy
          in: query
          description: Sort Key
          schema:
            type: string
            enum:
              - price
              - startsAt
              - assetNr
            nullable: true
            title: Sort Key
            example: price
        - name: sortDir
          in: query
          description: Sort Dir
          schema:
            type: string
            enum:
              - asc
              - desc
            nullable: true
            title: Sort Dir
            example: asc
        - name: isListed
          in: query
          description: Whether to include listed assets in the response
          schema:
            default: null
            type: boolean
            nullable: true
            title: Is Listed
            example: true
        - name: isHidden
          in: query
          description: Whether to include hidden assets in the response
          schema:
            default: null
            type: boolean
            nullable: true
            title: Is Hidden
            example: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          title: ID
                          description: UUID of the minting asset
                          example: 00000000-0000-0000-0000-000000000000
                      required:
                        - id
                    description: Array of minting assets
                  hasNextPage:
                    type: boolean
                    description: Indicates if more pages are available
                    example: true
                required:
                  - data
                  - hasNextPage
                title: Get Minting Assets Response
                description: Schema for getting minting assets response
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Not found
                required:
                  - message
                title: Not Found Response
                description: Schema for not found response
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````